Creates an external commission onto a tier using the tier guid.
Responses
-
Successfully created an external commission.
-
Invalid request. See response body for details.
-
Unauthorized request. See response body for details.
-
Permission denied. See response body for details.
-
Tier not found.
-
External commission already exists.
-
Unknown error. See response body for details.
POST
/tiers/{tierId}/external-commissions
curl \
--request POST 'http://api.example.com/tiers/{tierId}/external-commissions' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{"id":"string (UUID)","externalAgentId":"string (UUID)","endCode":"string","payBroker":"boolean","amount":"number (float)","percentage":"number (float)","calculationMethod":"string"}'
Request example
{
"id": "string (UUID)",
"externalAgentId": "string (UUID)",
"endCode": "string",
"payBroker": "boolean",
"amount": "number (float)",
"percentage": "number (float)",
"calculationMethod": "string"
}
Response examples (201)
{}
Response examples (404)
{
"code": 42,
"message": "string",
"details": [
"string"
]
}
Response examples (409)
{
"code": 42,
"message": "string",
"details": [
"string"
]
}